@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700&display=swap');

* {
  font-family: 'Open Sans', sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* 
backgroun-colors:
body-backgroundColor:#020d1a;
background-color: #122031;
backgroun:#3FD97F
backgroun:#ff9c55
backgroun:#18BFFF

Font Color:
primary-color:#fff
secondary-color:#9CA3AF
text:#22AD5C
text:#F23030
*/
:root {
  --grey: #374151;
  --dark-grey: #8D8D8D;
  --light: #fff;
  --dark: ##ffff;
  --green: #3FD97F;
  --light-green: #E3FFCB;
  --blue: #18BFFF;
  --light-blue: #fff;
  --dark-blue: #18BFFF;
  --red: #F23030;
}

body {
  background: #020d1a;
  color: var(--light);
  font-family: 'Open Sans', sans-serif;
  overflow-x: hidden;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

/* SIDEBAR */
#sidebar {
  position: fixed;
  width: 20%;
  background-color: #122031;
  top: 0;
  left: 0;
  height: 100%;
  overflow-y: auto;
  scrollbar-width: none;
  transition: all .3s ease;
  z-index: 200;
}

#sidebar.hide {
  max-width: 60px;
}

#sidebar.hide:hover {
  max-width: 260px;
}

#sidebar::-webkit-scrollbar {
  display: none;
}

#sidebar .brand {
  font-size: 24px;
  display: flex;
  align-items: center;
  color: #5750F1;
  height: 64px;
  font-weight: 900;
  position: sticky;
  top: 0;
  left: 0;
  z-index: 100;
  background-color: #122031;
  transition: all .3s ease;
  padding: 10px 20px;
  gap: 6px;
}

.side-box {
  color: #ffffff;
  font-family: sans-serif;
  font-size: 12px;
  background-color: #3c50e0;
  padding: 4px 10px;
  border-radius: .25rem;
  margin-left: 10px;
}

.side-pro {
  padding: 4px 10px;
  margin-left: 0px;
}

li a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}

.right-group {
  display: flex;
  align-items: center;
  margin-left: auto;
}

.right-group .side-box {
  margin-right: 10px;

}

.right-group .side-pro {
  margin-left: 0;

}

.saving {
  text-decoration: none;
  color: #333;
  /* Default text color */
  font-size: 16px;
  padding: 10px;
  /* Padding around the text */
  border-radius: 4px;
  /* Rounded corners */
  transition: background-color 0.3s, color 0.3s;
  /* Smooth transition */
  display: inline-flex;
  align-items: center;
  /* Center icon and text vertically */

}

.saving:hover {
  background-color: #374151;
  /* Background color on hover */
  cursor: pointer;

}

.saving .icon {
  margin-right: 8px;
  /* Space between icon and text */
}



#sidebar .brand .brand_logo {
  font-weight: 900;
  font-size: 2rem;
}

#sidebar .brand .logo {
  font-weight: 800;
  color: #FFFFFF;
}

#sidebar .icon {
  min-width: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 6px;
}

#sidebar .icon-right {
  margin-left: auto;
  transition: all .3s ease;
}

#sidebar .side-menu {
  margin: 36px 0;
  padding: 0 20px;
  transition: all .3s ease;
}

#sidebar.hide .side-menu {
  padding: 0 6px;
}

#sidebar.hide:hover .side-menu {
  padding: 0 20px;
}

#sidebar .side-menu a {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: #FFFFFF;
  padding-left: 8px;
  padding-right: 10px;
  padding-bottom: 8px;
  padding-top: 10px;
  transition: all .3s ease;
  border-radius: 10px;
  margin: 4px 0;
  white-space: nowrap;
}

#sidebar .side-menu>li>a:hover {
  background: var(--grey);
}

#sidebar .side-menu>li>a.active .icon-right {
  transform: rotateZ(90deg);
}

#sidebar .side-menu>li>a.active,
#sidebar .side-menu>li>a.active:hover {
  background: var(--blue);
  color: var(--light);
}

#sidebar .divider {
  margin-top: 24px;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 700;
  color: var(--dark-grey);
  transition: all .3s ease;
  white-space: nowrap;

}

#sidebar.hide:hover .divider {
  text-align: left;
}

#sidebar.hide .divider {
  text-align: center;
}

#sidebar .side-dropdown {
  padding-left: 54px;
  max-height: 0;
  overflow-y: hidden;
  transition: all .15s ease;
}

#sidebar .side-dropdown.show {
  max-height: 1000px
}

#sidebar .side-dropdown a:hover {
  border: 1px solid #020d1a;

}

#sidebar .ads {
  width: 100%;
  padding: 20px;
}

#sidebar.hide .ads {
  display: none;
}

#sidebar.hide:hover .ads {
  display: block;
}

#sidebar .ads .wrapper {
  background: var(--grey);
  padding: 20px;
  border-radius: 10px;
}

#sidebar .btn-upgrade {
  font-size: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px 0;
  color: var(--light);
  background: var(--blue);
  transition: all .3s ease;
  border-radius: 5px;
  font-weight: 600;
  margin-bottom: 12px;
}

#sidebar .btn-upgrade:hover {
  background: var(--dark-blue);
}


#sidebar .ads .wrapper p {
  font-size: 12px;
  color: var(--dark-grey);
  text-align: center;
}

#sidebar .ads .wrapper p span {
  font-weight: 700;
}

/* SIDEBAR */


/* CONTENT */
#content {
  position: relative;
  width: calc(100% - 20%);
  left: 20%;
  transition: all .3s ease;
}

#sidebar.hide+#content {
  width: calc(100% - 60px);
  left: 60px;
}

/* NAVBAR */
nav {
  background-color: #122031;
  width: 80%;
  border-bottom-left-radius: 24px;
  height: 64px;
  padding: 0 20px;
  display: flex;
  align-items: center;
  grid-gap: 28px;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 100;
  display: flex;
  justify-content: space-between;
}


nav .toggle-sidebar {
  font-size: 18px;
  cursor: pointer;
}

#dashboard {
  display: flex;
  align-items: center;
  gap: 10px;
}

.right_nav {
  display: flex;
  align-items: center;
  gap: 20px;
}

nav .form-group {
  /* background-color: red; */
}

nav .form-group .icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 16px;
  color: var(--dark-grey);
}

nav .nav-link {
  position: relative;
}

nav .nav-link .icon,
.toggle-sidebar {
  font-size: 18px;
  color: #ffffff;
  /* color: var(--dark); */
}

nav .nav-link .badge {
  position: absolute;
  top: -12px;
  right: -12px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: var(--red);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 10px;
  font-weight: 700;
}

nav .divider {
  width: 1px;
  background: var(--grey);
  height: 12px;
  display: block;
}

nav .profile {
  position: relative;
}

nav .profile img {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  object-fit: cover;
  cursor: pointer;
}

nav .profile .profile-link {
  position: absolute;
  top: calc(100% + 10px);
  right: 0;
  background-color: #020d1a;
  padding: 10px 0;
  box-shadow: 4px 4px 16px rgba(0, 0, 0, .1);
  border-radius: 10px;
  width: 160px;
  opacity: 0;
  pointer-events: none;
  transition: all .3s ease;
}

nav .profile .profile-link.show {
  opacity: 1;
  pointer-events: visible;
  top: 100%;
}

nav .profile .profile-link a {
  padding: 10px 16px;
  display: flex;
  grid-gap: 10px;
  font-size: 14px;
  color: var(--dark);
  align-items: center;
  transition: all .3s ease;
}

nav .profile .profile-link a:hover {
  background: var(--grey);
}

/* NAVBAR */

/* MAIN */
main {
  margin-top: 3rem;
  padding: 1rem 2.5rem;
}

main .title {
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 10px;
}

main .breadcrumbs {
  display: flex;
  grid-gap: 6px;
}

main .breadcrumbs li,
main .breadcrumbs li a {
  font-size: 14px;
}

main .breadcrumbs li a {
  color: var(--blue);
}

main .breadcrumbs li a.active,
main .breadcrumbs li.divider {
  color: var(--dark-grey);
  pointer-events: none;
}

main .card .head {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

main .card .head h2 {
  font-size: 24px;
  font-weight: 600;
}

main .card .progress::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  background: var(--blue);
  /* background-color: red; */
  width: var(--value);
}

main .card .label {
  font-size: 14px;
  font-weight: 700;
}

main .data {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
  border: none;
}

main .data .content-data {
  flex-grow: 1;
  flex-basis: 400px;
  padding: 20px;
  border-radius: 10px;
  /* background-color: #020d1a; */
  border-radius: 6px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.4px);
  -webkit-backdrop-filter: blur(3.4px);
  border: 1px solid #9CA3AF;
}

main .data .card1:nth-child(1) {
  grid-column: span 2;
}

main .content-data .head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 24px;
  /* color: #FFFFFF; */
}

main .content-data .head h3 {
  font-size: 20px;
  font-weight: 600;
}

main .data .content-data .card_head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10px;
}

main .data .card3 .card_head .icon {
  padding: 15px;
  background-color: #ff9c55;
  border-radius: 50%;
  font-size: 14px;
}

main .data .card4 .card_head .icon {
  background-color: #3FD97F;
}

main .data .card5 .card_head .icon {
  background-color: #8155ff;
}

main .data .content-data .progress_section {
  margin-top: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* Container for the progress bar */
main .data .content-data .progress_section .progress-container {
  width: 70%;
  /* background-color: #f1f1f1; */
  border-radius: 15px;
  overflow: hidden;
  height: 20px;
  margin: 20px 10px;
}

/* Actual progress bar */
main .data .content-data .progress_section .progress-bar {
  height: 100%;
  text-align: center;
  line-height: 30px;
  /* color: white; */
  border-radius: 15px;
  transition: width 0.4s ease;
}

main .data .content-data .progress_section .progress-bar1 {
  background-color: #ff9c55;
}

main .data .content-data .progress_section .progress-bar2 {
  background-color: #3FD97F;
}

main .data .content-data .progress_section .progress-bar3 {
  background-color: #8155ff;
}

main .data .content-data .progress_section .link-icon {
  padding: 10px;

}

main .data .content-data .card_info {
  padding: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 1rem;
}

main .data .content-data .card_info div small {
  color: var(--grey);
  /* background-color: red; */
}

main .data .content-data .card_info .expenss_rate {
  color: #3FD97F;
}

main .info-data .card {
  background-color: transparent;
  border: none;
}

main .content-data .head .menu {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

main .content-data .head .menu .icon {
  cursor: pointer;
}

main .content-data .head .menu-link {
  position: absolute;
  top: calc(100% + 10px);
  right: 0;
  width: 140px;
  border-radius: 10px;
  box-shadow: 4px 4px 16px rgba(0, 0, 0, .1);
  background: var(--grey);

  padding: 10px 0;
  z-index: 100;
  opacity: 0;
  pointer-events: none;
  transition: all .3s ease;
}

main .content-data .head .menu-link.show {
  top: 100%;
  opacity: 1;
  pointer-events: visible;
}

main .content-data .head .menu-link a {
  display: block;
  padding: 6px 16px;
  font-size: 14px;
  color: var(--dark);
  transition: all .3s ease;
}

main .content-data .head .menu-link a:hover {
  background: var(--grey);
}

main .content-data .chart {
  width: 100%;
  max-width: 100%;
  overflow-x: auto;
  scrollbar-width: none;
  /* color: #FFFFFF; */
  /* background-color: #020d1a; */
}

main .content-data .chart::-webkit-scrollbar {
  display: none;
}


main form {
  margin-top: 3rem;
}

main .form-group {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 15px;
  /* background-color: #020d1a; */
  margin-top: 6px;
}

main .form-group .explain_expe,
.explain_loca {
  grid-column: span 2;
}

main .form-group input {
  flex-grow: 1;
  padding: 10px 16px;
  border-radius: 5px;
  outline: none;
  /* background: var(--grey); */
  background: transparent;
  border: 1px solid #374151;
  /* background-color: #020d1a; */
  /* color: #FFFFFF; */
  transition: all .3s ease;
  width: 100%;
}

main .form-group input:focus {
  box-shadow: 0 0 0 1px var(--blue), 0 0 0 4px var(--light-blue);
}

#Tracker {
  /* background: var(--grey); */
  background: transparent;
  /* background-color: red; */
  /* color: #fff; */
  color: #8D8D8D;
  padding: 5px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

input[type="date"] {
  padding: 5px;
  border-radius: 5px;
  color: #8D8D8D;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(1);
  /* color: #fff; */
}

input[type="date"]::-moz-focus-inner {
  border: 0;
}


main .btn-send {
  padding: 0 16px;
  background: var(--blue);
  border-radius: 5px;
  /* color: var(--light); */
  cursor: pointer;
  border: none;
  transition: all .3s ease;
}

main .btn-send:hover {
  background: var(--dark-blue);
}


/* Footer */
footer {
  /* background-color: #000; */
  /* color: #fff; */
  padding: 40px 0;
  position: relative;
  overflow: hidden;
  border: 1px solid #374151;
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 0 5%;
}

.footer-section {
  flex: 1;
  margin: 10px;
  min-width: 200px;
}

.footer-section h2 {
  font-size: 18px;
  margin-bottom: 15px;
  position: relative;
  display: inline-block;
}

.footer-section h2::after {
  content: '';
  width: 50px;
  height: 2px;
  background: #3c50e0;
  display: block;
  position: absolute;
  left: 0;
  bottom: -5px;
}

.footer-section p,
.footer-section ul {
  font-size: 14px;
  line-height: 1.8;
}

.footer-section ul {
  list-style: none;
  padding: 0;
}

.footer-section ul li {
  margin-bottom: 10px;
}

.footer-section ul li a {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-section ul li a:hover {
  color: #3c50e0;
}

.social-icons {
  display: flex;
  gap: 15px;
}

.social-icons a {
  display: inline-block;
  /* color: #fff; */
  color: #8D8D8D;
  font-size: 18px;
  transition: transform 0.3s;
}

.social-icons a:hover {
  transform: scale(1.2);
}

/* Neon Border Effect */
.footer-section::before,
.footer-section::after {
  content: '';
  position: absolute;
  border: 2px solid #3c50e0;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  box-sizing: border-box;
  animation: neon-border 3s infinite alternate;
}

.footer-section::before {
  top: -2px;
  left: -2px;
}

.footer-section::after {
  bottom: -2px;
  right: -2px;
}

@keyframes neon-border {
  0% {
    box-shadow: 0 0 5px #3c50e0, 0 0 10px #3c50e0, 0 0 15px #3c50e0, 0 0 20px #3c50e0, 0 0 25px #3c50e0;
  }

  100% {
    box-shadow: 0 0 20px #3c50e0, 0 0 30px #3c50e0, 0 0 40px #3c50e0, 0 0 50px #3c50e0, 0 0 60px #3c50e0;
  }
}

@media screen and (max-width: 768px) {
  .footer-container {
    flex-direction: column;
  }

  .footer-section {
    margin: 20px 0;
  }
}

/* User Experiences */
.best-reviews {
  padding: 60px 0;
  text-align: center;
  overflow: hidden;
}

.best-reviews h1 {
  font-size: 28px;
  margin-bottom: 40px;
  text-align: start;
}

.reviews-wrapper {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.reviews-container {
  display: flex;
  width: calc(100% * 2);
  animation: scroll-left 20s linear infinite;
}

.review-card {
  border-radius: 10px;
  border: 1px solid #374151;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
  padding: 20px;
  width: 300px;
  margin: 0 10px;
  text-align: left;
  flex-shrink: 0;
}

.user-profile {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.user-profile img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  margin-right: 15px;
  border: 2px solid #3c50e0;
}

.user-info h3 {
  font-size: 18px;
  margin: 0;
  /* color: #FFFFFF; */
}

.user-info p {
  font-size: 14px;
  color: #777;
}

.user-review {
  font-size: 16px;
  line-height: 1.5;
  /* color: #EEEEEE; */
}

@keyframes scroll-left {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

@media screen and (max-width: 768px) {
  .review-card {
    width: 200px;
  }
}